# python 2 not supported

Name:		urh
Version:	1.8.10
Release:	1%{?dist}
Summary:	Universal Radio Hacker: investigate wireless protocols like a boss
License:	ASL 2.0 and GPLv2
Group:		Applications/Engineering
URL:		https://github.com/jopohl/urh
Source0:	https://github.com/jopohl/urh/archive/v%{version}.tar.gz#/urh-%{version}.tar.gz
BuildRequires:	python3-setuptools, python3-devel, gcc-c++, python3-numpy, desktop-file-utils
BuildRequires:	hackrf-devel, rtl-sdr-devel, uhd-devel, python3-qt5, python3-Cython
Requires:	python3-numpy, python3-psutil python3-zmq, python3-qt5

%description
The Universal Radio Hacker is a software for investigating unknown wireless
protocols.

%prep
%setup -q

# remove *.pyc
find . -name '*.pyc' | xargs rm -f

# remove profiling data
pushd data
rm -f hacker.prof
popd

# remove binaries
pushd data/decodings
rm -f enocean_switchtelegram homematic test
popd
pushd src/urh/dev/native/lib
rm -rf win
popd

# remove bundled libraries, cpp will be generated by cython
pushd src/urh/dev/native
rm -rf includes
cd lib
rm -f *.cpp
popd

# remove sources, they will be generated by cython
pushd src/urh/cythonext
rm -f *.cpp
popd

# remove unneeded example with different license
pushd doc
rm -f costas_loop.cc
popd

%build
%py3_build

%install
%py3_install

# remove cpp files generated by cython
pushd %{buildroot}%{python3_sitearch}/urh/dev/native/lib
rm -f *.cpp
popd
pushd %{buildroot}%{python3_sitearch}/urh/cythonext
rm -f *.cpp
popd


# icon
install -Dpm 0644 data/icons/appicon.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/urh.png

# desktop file
mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install --add-category="Utility" \
  --dir=%{buildroot}%{_datadir}/applications \
  ./urh.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license LICENSE
%doc README.md
%{_bindir}/urh
%{_datadir}/icons/hicolor/128x128/apps/urh.png
%{_datadir}/applications/urh.desktop
%{python3_sitearch}/urh
%{python3_sitearch}/urh-%{version}-*.egg-info

%changelog
* Mon Oct 23 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.10-1
- New version
  Resolves: rhbz#1504440

* Mon Sep 18 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.7-1
- New version
  Resolves: rhbz#1492666

* Thu Aug 31 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.5-1
- New version
  Resolves: rhbz#1486742

* Mon Aug 28 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.8.4-1
- New version
  Resolves: rhbz#1485094

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 20 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.7.1-1
- New version
  Resolves: rhbz#1473063

* Tue Jul 18 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.7.0-1
- New version
  Resolves: rhbz#1471311

* Mon Jun 19 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.6.6-1
- New version
- Fixed various problem spotted during Fedora review
  Related: rhbz#1432076

* Fri Mar 10 2017 Jaroslav Škarvada <jskarvad@redhat.com> - 1.5.7-1
- Initial release
